# OG Titles

Organic group titles is a simple module that allows you to create arbitrary
member titles for each user membership of a group.

## Configuration

  - admin/config/group/fields
    - Add the group content title field to a Group Membership bundle such as
      og_membership_type_default.
    - Add the group titles text field to a Group entity such as a node only if
      you are going to use the group title select widget. Otherwise this is not
      necessary.

  - admin/config/group/group-membership/manage/TYPE/fields
    - You should *NOT* add this field through the Field UI interface, but you
      *MAY* adjust the widget settings in that interface such as changing from
      the default text field widget to a select list.

  - Field permissions
    - You may add field permissions either via Organic groups or the Field
      Permission modules to restrict access to the group member title or group
      titles fields. This is a major configuration change to the provided user
      permission in previous versions.

  - Views
    - Use views to display group member titles in blocks, content panes, or
      tables. You can access the group member title field via the group
      membership entity.

## Usage

  - group/node/%node/admin/people/edit-membership/%og\_membership
    - Add a group member or modify an existing group member, and you may select
      or provide a group member title for that group member.

  - node/%node/edit
    - Add group titles to your group to restrict the group titles and provide a
      weight to the title if using the group title select widget.

That's it!

## Widgets

  - It is possible to define your own field widget for the og\_group\_title
    field type. The field widget must provide a value. It may be possible to
    provide a taxonomy select widget that gets the titles via a taxonomy
    vocabulary.

  - The field widget must provide a value key for the field type to save, and
    optionally a weight key with the title weight.
