<?php
/**
 * @file
 *   Default views for Og Titles
 */
  

/**
 * Implements hook_views_default_views_alter().
 * @param &$views The giant blob of views.
 */
function og_titles_views_default_views_alter(&$views) {
  $handler = &$views['og_members_admin'];

  /* Membership title */
  $handler->display['default']->display_options['style_options']['columns']['group_member_title'] = 'group_member_title';
  $handler->display['default']->display_options['fields']['group_member_title'] = array(
    'sortable' => 1,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  );
  $handler->display['default']->display_options['fields']['group_member_title']['id'] = 'group_member_title';
  $handler->display['default']->display_options['fields']['group_member_title']['table'] = 'field_data_group_member_title';
  $handler->display['default']->display_options['fields']['group_member_title']['field'] = 'group_member_title';
  $handler->display['default']->display_options['fields']['group_member_title']['relationship'] = 'og_membership_rel';
  $handler->display['default']->display_options['fields']['group_member_title']['settings'] = array(
    'format' => 'filtered_html',
  );
}
 
/**
 * Implements hook_views_default_views().
 */
function og_titles_views_default_views() {
  $views = array();

  $view = new view();
  $view->name = 'group_member_titles';
  $view->description = 'A sample view for Og Titles';
  $view->tag = 'default';
  $view->base_table = 'og_membership';
  $view->human_name = 'Group member titles';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'time';
  $handler->display->display_options['cache']['results_lifespan'] = '300';
  $handler->display->display_options['cache']['results_lifespan_custom'] = '0';
  $handler->display->display_options['cache']['output_lifespan'] = '-1';
  $handler->display->display_options['cache']['output_lifespan_custom'] = '0';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: OG membership: User from OG membership */
  $handler->display->display_options['relationships']['og_membership_related_user']['id'] = 'og_membership_related_user';
  $handler->display->display_options['relationships']['og_membership_related_user']['table'] = 'og_membership';
  $handler->display->display_options['relationships']['og_membership_related_user']['field'] = 'og_membership_related_user';
  $handler->display->display_options['relationships']['og_membership_related_user']['required'] = TRUE;
  /* Field: User: Picture */
  $handler->display->display_options['fields']['picture']['id'] = 'picture';
  $handler->display->display_options['fields']['picture']['table'] = 'users';
  $handler->display->display_options['fields']['picture']['field'] = 'picture';
  $handler->display->display_options['fields']['picture']['relationship'] = 'og_membership_related_user';
  $handler->display->display_options['fields']['picture']['label'] = '';
  $handler->display->display_options['fields']['picture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['picture']['link_photo_to_profile'] = FALSE;
  $handler->display->display_options['fields']['picture']['image_style'] = 'thumbnail';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'og_membership_related_user';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: OG membership: Title */
  $handler->display->display_options['fields']['group_member_title']['id'] = 'group_member_title';
  $handler->display->display_options['fields']['group_member_title']['table'] = 'field_data_group_member_title';
  $handler->display->display_options['fields']['group_member_title']['field'] = 'group_member_title';
  $handler->display->display_options['fields']['group_member_title']['label'] = '';
  $handler->display->display_options['fields']['group_member_title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['group_member_title']['type'] = 'og_titles_default_format';
  /* Sort criterion: OG membership: Title (group_member_title:weight) */
  $handler->display->display_options['sorts']['group_member_title_weight']['id'] = 'group_member_title_weight';
  $handler->display->display_options['sorts']['group_member_title_weight']['table'] = 'field_data_group_member_title';
  $handler->display->display_options['sorts']['group_member_title_weight']['field'] = 'group_member_title_weight';
  /* Sort criterion: OG membership: Title (group_member_title) */
  $handler->display->display_options['sorts']['group_member_title_value']['id'] = 'group_member_title_value';
  $handler->display->display_options['sorts']['group_member_title_value']['table'] = 'field_data_group_member_title';
  $handler->display->display_options['sorts']['group_member_title_value']['field'] = 'group_member_title_value';
  /* Contextual filter: OG membership: Group ID */
  $handler->display->display_options['arguments']['gid']['id'] = 'gid';
  $handler->display->display_options['arguments']['gid']['table'] = 'og_membership';
  $handler->display->display_options['arguments']['gid']['field'] = 'gid';
  $handler->display->display_options['arguments']['gid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['gid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['gid']['title'] = '%1 Members';
  $handler->display->display_options['arguments']['gid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['gid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['gid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['gid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['gid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['gid']['validate']['type'] = 'og';
  /* Filter criterion: OG membership: Entity_type */
  $handler->display->display_options['filters']['entity_type']['id'] = 'entity_type';
  $handler->display->display_options['filters']['entity_type']['table'] = 'og_membership';
  $handler->display->display_options['filters']['entity_type']['field'] = 'entity_type';
  $handler->display->display_options['filters']['entity_type']['value'] = 'user';
  $handler->display->display_options['filters']['entity_type']['expose']['operator_id'] = 'entity_type_op';
  $handler->display->display_options['filters']['entity_type']['expose']['label'] = 'Entity_type';
  $handler->display->display_options['filters']['entity_type']['expose']['operator'] = 'entity_type_op';
  $handler->display->display_options['filters']['entity_type']['expose']['identifier'] = 'entity_type';
  
  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['block_description'] = 'Group Member Titles';
  $handler->display->display_options['block_caching'] = '-1';
  
  
  $views['group_member_titles'] = $view;
  
  return $views;
}
